## ppscsi 0.2

=== debian/changelog ===
ppscsi (0.2) unstable; urgency=low

  * Changed the architecture to all, also moved the kernel check to the right
    position (closes: #243937)
  * corrected Depends: and Build-Depends:

 -- Eduard Bloch <blade@debian.org>  Wed, 31 Mar 2004 12:18:46 +0200

ppscsi (0.1) unstable; urgency=low

  * Initial Release.

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Mar 2004 12:49:18 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE=ppscsi-drivers
MA_DIR ?= /usr/share/modass
-include $(MA_DIR)/include/generic.make
-include $(MA_DIR)/include/common-rules.make
export CC

MAJOR=$(shell echo $(KVERS) | sed -e 's/\(...\).*/\1/')

CFLAGS = -Wall -g

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	cat upstream/* | patch -p2 -f || true
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf scsi

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	cp scsi/* addons/* README.ppscsi debian/ppscsi-source/usr/src/modules/ppscsi/
	cd debian && cp -a control control.modules.in changelog rules copyright compat docs $(CURDIR)/debian/ppscsi-source/usr/src/modules/ppscsi/debian
	cd debian/ppscsi-source/usr/src && tar c modules | bzip2 -9 > ppscsi.tar.bz2 && rm -rf modules

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installkpatches
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

kdist_clean:
	dh_clean
	rm -f *.o *.ko

kdist_config: prep-deb-files
	@test $(MAJOR) = 2.6 || (echo 'Only kernel 2.6.x is supported by this package. Please use the kernel patch instead! (The patch is part of this package or included in kernel-patch-ppscsi-2.4, for kernel 2.4.x)' ; exit 1)

binary-modules: kdist_config
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p$(PKGNAME) lib/modules/$(KVERS)/ppscsi
	make KERNEL_DIR=$(KSRC)
	cp *.ko $(CURDIR)/debian/$(PKGNAME)/lib/modules/$(KVERS)/ppscsi
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol -- -v$(VERSION)
	dh_md5sums
	dh_builddeb --destdir=$(DEB_DESTDIR)


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure kdist_clean

## ppscsi 0.3

=== addons/Makefile ===

KERNEL_DIR?=/usr/src/linux

obj-m := ppscsi.o onscsi.o vpi0.o t358.o sparcsi.o epst.o epsa2.o t348.o

EXTRA_CFLAGS= -I$(shell pwd)

all:
	$(MAKE) modules -C $(KERNEL_DIR) SUBDIRS=$(shell pwd)

=== debian/changelog ===
ppscsi (0.3) unstable; urgency=medium

  * updated kpatches entries to recent kernels
  * added a modified version (s,scsi_sleep,ssleep,) for kernel versions 
    2.6.9, 2.6.10, 2.6.11, thanks to Ed Murray <edd@avenuedesign.net>
  * installing forgotten postinst in the modules source (depmod was not
    executed automaticaly)

 -- Eduard Bloch <blade@debian.org>  Tue, 30 Nov 2004 23:51:25 +0100

=== debian/control ===
Source: ppscsi
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>= 4.0.0), patch, dh-kpatches (>= 0.99.17), bzip2
Standards-Version: 3.6.0

Package: ppscsi-source
Section: devel
Architecture: all
Depends: ${shlis:Depends}, ${misc:Depends}, module-assistant, debhelper, make, bzip2
Description: drivers for SCSI emulating devices on parallel port
 This package builds modules (for kernel 2.6) to support SCSI emulation
 over parallel port, used in many scanners. The supported models are:
 .
 - Adaptec APA-348 adapter
 - Adaptec APA-358 adapter
 - Iomega VPI0 adapter
 - OnSpec 90c26 adapter
 - Shining SparSCI adapter
 - Shuttle EPSA-2 adapter
 - Shuttle EPST adapter
 - NCR53c406a SCSI adapter

Package: kernel-patch-ppscsi-2.6
Architecture: all
Section: devel
Depends: ${kpatch:Depends}
Suggests: kernel-source-2.6, kernel-package
Description: patch to support SCSI emulation over parallel port
 This package contains a patch for Linux kernel 2.6.x to support common
 parallel port periphery devices like scanners, which use SCSI protocol
 internaly.
 .
 The kernel source must be modified in order to compile the modules. If
 you don't like this, use the package ppscsi-source to build separate
 modules packages.

=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,7 @@
 	dh_clean -k 
 	dh_installdirs
 	cp scsi/* addons/* README.ppscsi debian/ppscsi-source/usr/src/modules/ppscsi/
-	cd debian && cp -a control control.modules.in changelog rules copyright compat docs $(CURDIR)/debian/ppscsi-source/usr/src/modules/ppscsi/debian
+	cd debian && cp -a control *.modules.in changelog rules copyright compat docs $(CURDIR)/debian/ppscsi-source/usr/src/modules/ppscsi/debian
 	cd debian/ppscsi-source/usr/src && tar c modules | bzip2 -9 > ppscsi.tar.bz2 && rm -rf modules
 
 binary-arch: build install
